Bug 533553

Summary: move PackageKit-command-not-found from fedora-livecd-desktop.ks to comps
Product: [Fedora] Fedora Reporter: Jens Petersen <petersen>
Component: PackageKitAssignee: Richard Hughes <richard>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 12CC: awilliam, dcantrell, jlaska, mclasen, notting, rhughes, richard, smparrish, sundaram, vanmeeuwen+fedora, vedran, wtogami
Target Milestone: ---Keywords: Reopened, Triaged
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-03-22 11:59:42 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 533554    
Bug Blocks: 507684    

Description Jens Petersen 2009-11-07 04:05:24 EST
Description of problem:
I am not sure why PackageKit-command-not-found is included in
fedora-livecd-desktop.ks but IMO it should not be there and
removed: 

Version-Release number of selected component (if applicable):
http://git.fedorahosted.org/git/?p=spin-kickstarts.git;a=blob;f=fedora-livecd-desktop.ks;h=7566555a829e821dbc4465949b430967fa4d6c06;hb=HEAD

The UI still needs polishing and it does not seem
stable enable to warrant installation by default:

  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND            
11028 jens      20   0  9676 2116 1740 R 22.2  0.1  86:52.30 pk-command-not-    
14844 jens      20   0  9676 2092 1792 R 22.2  0.1  66:55.65 pk-command-not-    
17217 jens      20   0  9680 1900 1612 R 21.9  0.1  15:53.92 pk-command-not-    
12272 jens      20   0  9676 2120 1740 R 21.6  0.1  81:01.22 pk-command-not-    

I recommend we do not install it by default in F12.
Comment 1 Adam Williamson 2009-11-07 04:23:56 EST
one top paste is not much of a useful reason to consider the entire application unstable.

jesse, james, bill, warren, votes? I have to admit the thing seems kind of janky to me, but if we were going to make this change it should've been a lot earlier.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Rahul Sundaram 2009-11-07 05:23:14 EST
Command not found plugin has still a few rough edges and I would prefer we fix them first. It just hangs at times or spends a lot of updating the metadata or returns exceptions, doesn't add a newline if you reply N etc. Richard Hughes is aware of them. You might want to talk to him and see if the issues can be fixed but time is short.
Comment 3 Adam Williamson 2009-11-07 12:49:28 EST
we basically can't take any more code changes without slipping the release. We _could_ potentially drop the package and respin, I think, even that is cutting it fine at this point.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Adam Williamson 2009-11-07 12:59:18 EST
btw, I should honestly say I might actually be in favour of doing the respin, even though it'd be a pain in Jesse's ass. Just removing this plugin really really should be perfectly safe, and I have definitely observed that it behaves quite assily here too - it now works right the _first_ time I type a non-existent command but not any subsequent times, and if I ctrl-c it when it's stuck at the console it tends to leave behind orphan yum processes which never seem to complete (or not for ages) and leave the database locked...

it doesn't feel very ready for primetime, and removing it shouldn't invalidate any of our testing so far. so I'm a tentative +1 on this.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Jens Petersen 2009-11-07 22:34:16 EST
I think I will go ahead and remove it from spin-kickstart.git anyway.
We really should stop putting one-off hacks there that are not in comps...
Comment 6 Matthias Clasen 2009-11-07 23:48:58 EST
I beg to disagree.
Comment 7 Matthias Clasen 2009-11-07 23:56:23 EST
Commit reverted.
Comment 8 Jens Petersen 2009-11-08 00:00:17 EST
So what is the reason?
Comment 9 Jens Petersen 2009-11-08 00:06:21 EST
as in, why not in comps?
Comment 10 Matthias Clasen 2009-11-08 00:18:22 EST
I have reverted your commit because it is not ok to file a bug about this after RC, and in the same night, go ahead and remove an advertised F12 feature from the spin without even talking to the people who maintain the kickstart file.

As to why not in comps:
Some people think that there should not be any difference between what is however vaguely defined in comps and what is on the desktop spin. I don't. One reason is that spins have defined owners which can make informed choices about what to include and what not, whereas comps is just a free-for-all. In the case of command-not-found, we can certainly put it in comps, but I recommend that we don't make this change between RC and final of F12, but wait until F13 opens.
Comment 11 Jens Petersen 2009-11-08 00:34:39 EST
Sorry my bad for acting too quickly and without consulting to you guys
- I was just thinking time was at stake.

The Desktop spin is the de-facto way of installing Fedora
nowadays so to me it should ultimately be controlled by
Rel-Eng not just the Fedora Desktop team IMHO.
Comment 12 Warren Togami 2009-11-08 10:46:45 EST
I personally have been against shipping this by default, especially if it is dangerously broken as it seems to be now.  But my opinion matters little.
Comment 13 Warren Togami 2009-11-08 10:58:54 EST
Sorry, I believe the tone in my previous comment was unnecessarily antagonistic.  I should have stated that I believe we should remove this plugin from the default install because its current failures create a negative user experience.  Disabling the plugin is the safest thing we can do at this point.
Comment 14 Jesse Keating 2009-11-08 19:06:07 EST
Why did you assign this to me?  I'm not getting in the middle of your squabble.
Comment 15 Adam Williamson 2009-11-08 20:32:49 EST
to elaborate, we decided not to touch this at such a late state on the basis that the desktop team is in control of the configuration of the desktop spin and we can't override their intentions. so the f12 build will go out with command-not-found included in the desktop spin.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 16 Jens Petersen 2009-11-08 22:57:49 EST
(Because of comment 11.)

(In reply to comment #10)
> I have reverted your commit because it is not ok to file a bug about this after
> RC, and in the same night, go ahead and remove an advertised F12 feature from
> the spin without even talking to the people who maintain the kickstart file.

My feeling is that if PackageKit-command-not-found
was in comps this bug would have been caught much earlier.

> Some people think that there should not be any difference between what is
> however vaguely defined in comps and what is on the desktop spin.

I take issue with "vaguely defined in comps",
comps is also the basis of all the spins.

> One
> reason is that spins have defined owners which can make informed choices
> about what to include and what not, whereas comps is just a free-for-all.

While I hear what you are saying, doing different things for
Live and standard Fedora basically doubles the QA burden
during the devel cycle.  And as we have seen also with Droid fonts
it can lead to problems like this that take longer to solve.
Comment 17 Richard Hughes 2009-11-09 07:08:16 EST
The original bug is fixed with this build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1795756

I'll make some more fixes to command not found and prep a zero day update.
Comment 18 Jesse Keating 2009-11-11 11:59:39 EST
Jens, playing assignment bingo isn't going to solve your problem.  This is a matter of the spin owner and the package maintainer, whether it goes in the spin config, or the comps section.  Please stop shopping around for somebody who will do your bidding.
Comment 19 Bug Zapper 2009-11-16 10:16:32 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping